/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-2.6.25-r3.ebuild
Gentoo

Contents of /sys-kernel/hardened-sources/hardened-sources-2.6.25-r3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download)
Sat Aug 23 02:12:48 2008 UTC (5 years, 7 months ago) by battousai
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
Drop 2.6.23-r13, 2.6.25-r3. Bump to 2.6.25-r5, 2.6.26-r1, fixing security bug #235221. Stable 2.6.25-r4 on amd64, x86. On behalf of gengor.
(Portage version: 2.2_rc8/cvs/Linux 2.6.27-rc4 x86_64)

1 # Copyright 1999-2008 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/hardened-sources-2.6.25-r3.ebuild,v 1.1 2008/07/31 02:29:34 solar Exp $
4
5 ETYPE="sources"
6 K_WANT_GENPATCHES="base extras"
7 K_GENPATCHES_VER="8"
8
9 inherit kernel-2
10 detect_version
11
12 HGPV=${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-4
13 HGPV_URI="http://confucius.dh.bytemark.co.uk/~kerin.millar/distfiles/hardened-patches-${HGPV}.extras.tar.bz2
14 mirror://gentoo/hardened-patches-${HGPV}.extras.tar.bz2"
15 UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2"
16 UNIPATCH_EXCLUDE="4200_fbcondecor-0.9.4.patch"
17 DESCRIPTION="Hardened kernel sources ${OKV}"
18 HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
19
20 SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}"
21 KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
22
23 pkg_postinst() {
24 kernel-2_pkg_postinst
25
26 ewarn
27 ewarn "As of ${CATEGORY}/${PN}-2.6.24 the predefined"
28 ewarn "\"Hardened [Gentoo]\" grsecurity level has been removed."
29 ewarn "Two improved predefined security levels replace it:"
30 ewarn "\"Hardened Gentoo [server]\" and \"Hardened Gentoo [workstation]\""
31 ewarn
32 ewarn "If you intend to use one of these predefined grsecurity levels,"
33 ewarn "please read the help associated with the level. If you intend to"
34 ewarn "import a previous kernel configuration, please review your selected"
35 ewarn "grsecurity/PaX options carefully before building the kernel."
36 ewarn
37 ewarn "If you intend to use grsecurity's RBAC system then you must ensure that"
38 ewarn "you are using a recent version of gradm (2.1.12 or higher). As such, it"
39 ewarn "is strongly recommended that you run the following command before"
40 ewarn "booting a ${PN} kernel >=2.6.25 for the first time:"
41 ewarn
42 ewarn "emerge -na '>=sys-apps/gradm-2.1.12'"
43 ewarn
44 }

  ViewVC Help
Powered by ViewVC 1.1.20